Subject: Re: bug#16117: Patch for Emacsclient Unwanted Warning

From: Stefan Kangas <[email-masked]>
Date: Wed, 12 Aug 2020 15:23:15 -0700

Lars Ingebrigtsen <[email-masked]> writes:

> Scott Turner <[email-masked]> writes:
>
>> In emacsclient, if an existing Emacs server cannot be found and an
>> alternate editor is specified, the alternate editor is started.  Along
>> the way, emacsclient generates a warning that the server cannot be
>> found.
>>
>> On Windows, this warning is a pop-up dialog box that must be dismissed
>> by the user.  This is an unwanted interruption, and irrelevant, since
>> the user has already indicated by using the --alternated-editor option
>> how to handle this situation.
>>
>> The patch below suppresses this warning when the user has specified
>> both the --quiet option and the --alternate-editor option.  The
>> reasoning is that --quiet mutes all messages on success, and that
>> because the --alternate-editor has been specified, this message is not
>> reporting an error.  It seems like a reasonable compromise that will
>> allow users to see this warning if they like (by not using --quiet)
>> and allow users to avoid it if they like (by using --quiet).
>
> I think your patch makes sense, and the problem is still present in
> Emacs, five years after your report.
>
> ---
> $ emacsclient --quiet --alternate-editor /usr/bin/vi /tmp/a
> emacsclient: can't find socket; have you started the server?
> To start the server in Emacs, type "M-x server-start".
> ---
>
> Does anybody else have an objection to not outputting that error message
> if both --quiet and --alternate-editor is used?

I agree, it makes sense to not show the error message in this case.

Best regards,
Stefan Kangas